pragma solidity ^0.4.0;

import "./lib/ownedextended.sol";
import "./IdentityRegistrar.sol";
import "./SignatureStore.sol";


contract AbstractIdentity is ownedextended {
	IdentityRegistrar public identityRegistrar;
	SignatureStore public signatureStore;

	event Registered(bytes32 node, address newowner);
	event Signed(bytes32 target, bytes32 item_id_digest, bytes32 signature_digest);

	function setStores(address _identityregistrar, address _signaturestore);
	function transferStores(address _newidentity); // must be onlyowner
}
