# Events

Subscribe to META Identity [contract events](http://web3js.readthedocs.io/en/1.0/web3-eth-contract.html#contract-events).

## Example

```js
import MetaId from 'meta-id'
import Web3 from 'web3'
// import META Identity contract addresses
import contractAddresses from '../contracts/addresses.json'

// init meta-id
const metaId = MetaId({ addresses: contractAddresses })
// init web3.js
const web3 = new Web3('http://localhost:8545')

// subscribe to `IdentityRegistered` event
metaId.events.IdentityRegistered()
  .on('data', event => console.log(event.returnValues))
```
