import web3 from '../web3'

export const abi = [
  {
    constant: true,
    inputs: [],
    name: 'identityRegistrar',
    outputs: [{ name: '', type: 'address' }],
    payable: false,
    type: 'function',
    signature: '0x04ec1c52',
  },
  {
    constant: true,
    inputs: [],
    name: 'isOwned',
    outputs: [{ name: '', type: 'bool' }],
    payable: false,
    type: 'function',
    signature: '0x0e5e739c',
  },
  {
    constant: false,
    inputs: [
      { name: '_identityregistrar', type: 'address' },
      { name: '_signaturestore', type: 'address' },
    ],
    name: 'setStores',
    outputs: [],
    payable: false,
    type: 'function',
    signature: '0x10658015',
  },
  {
    constant: false,
    inputs: [{ name: '_owner', type: 'address' }],
    name: 'setOwner',
    outputs: [],
    payable: false,
    type: 'function',
    signature: '0x13af4035',
  },
  {
    constant: true,
    inputs: [
      { name: '_target', type: 'bytes32' },
      { name: '_item_id_digest', type: 'bytes32' },
      { name: '_idx', type: 'uint32' },
    ],
    name: 'getSignatureByIndex',
    outputs: [
      { name: '', type: 'bytes32' },
      { name: '', type: 'bytes32' },
      { name: '', type: 'bytes32' },
    ],
    payable: false,
    type: 'function',
    signature: '0x456f96e9',
  },
  {
    constant: true,
    inputs: [
      { name: '_target', type: 'bytes32' },
      { name: '_item_id_digest', type: 'bytes32' },
    ],
    name: 'getSignatureCount',
    outputs: [{ name: '', type: 'uint256' }],
    payable: false,
    type: 'function',
    signature: '0x62a3ea6a',
  },
  {
    constant: false,
    inputs: [
      { name: '_signer', type: 'bytes32' },
      { name: '_target', type: 'bytes32' },
      { name: '_item_id_digest', type: 'bytes32' },
      { name: '_item_digest', type: 'bytes32' },
      { name: '_signature_digest', type: 'bytes32' },
    ],
    name: 'setSignature',
    outputs: [],
    payable: false,
    type: 'function',
    signature: '0x8dc2b1b8',
  },
  {
    constant: false,
    inputs: [{ name: '_newidentity', type: 'address' }],
    name: 'transferStores',
    outputs: [],
    payable: false,
    type: 'function',
    signature: '0xb00b363d',
  },
  {
    constant: false,
    inputs: [
      { name: '_node', type: 'bytes32' },
      { name: '_newowner', type: 'address' },
    ],
    name: 'register',
    outputs: [],
    payable: false,
    type: 'function',
    signature: '0xd22057a9',
  },
  {
    constant: true,
    inputs: [],
    name: 'signatureStore',
    outputs: [{ name: '', type: 'address' }],
    payable: false,
    type: 'function',
    signature: '0xec970948',
  },
  {
    anonymous: false,
    inputs: [
      { indexed: false, name: 'node', type: 'bytes32' },
      { indexed: false, name: 'newowner', type: 'address' },
    ],
    name: 'Registered',
    type: 'event',
    signature:
      '0x7d917fcbc9a29a9705ff9936ffa599500e4fd902e4486bae317414fe967b307c',
  },
  {
    anonymous: false,
    inputs: [
      { indexed: false, name: 'target', type: 'bytes32' },
      { indexed: false, name: 'item_id_digest', type: 'bytes32' },
      { indexed: false, name: 'signature_digest', type: 'bytes32' },
    ],
    name: 'Signed',
    type: 'event',
    signature:
      '0xd4f619e3a55dd2d3434ac6ba025238f2c836f4a54537cf26b27e7a988c57307a',
  },
]

export const Identity = new web3.eth.Contract(abi)

export const setAddress = address => (Identity.options.address = address)
