import web3 from '../web3'

export const abi = [
  {
    constant: true,
    inputs: [{ name: 'interfaceID', type: 'bytes4' }],
    name: 'supportsInterface',
    outputs: [{ name: '', type: 'bool' }],
    payable: false,
    type: 'function',
    signature: '0x01ffc9a7',
  },
  {
    constant: true,
    inputs: [{ name: '_node', type: 'bytes32' }],
    name: 'content',
    outputs: [{ name: 'ret', type: 'bytes32' }],
    payable: false,
    type: 'function',
    signature: '0x2dff6941',
  },
  {
    constant: false,
    inputs: [
      { name: '_node', type: 'bytes32' },
      { name: '_hash', type: 'bytes32' },
    ],
    name: 'setContent',
    outputs: [],
    payable: false,
    type: 'function',
    signature: '0xc3d014d6',
  },
  {
    inputs: [{ name: '_ens', type: 'address' }],
    payable: false,
    type: 'constructor',
    signature: 'constructor',
  },
  {
    anonymous: false,
    inputs: [
      { indexed: true, name: 'node', type: 'bytes32' },
      { indexed: false, name: 'hash', type: 'bytes32' },
    ],
    name: 'ContentChanged',
    type: 'event',
    signature:
      '0x0424b6fe0d9c3bdbece0e7879dc241bb0c22e900be8b6c168b4ee08bd9bf83bc',
  },
]

export const IdentityResolver = new web3.eth.Contract(abi)

export const setAddress = address =>
  (IdentityResolver.options.address = address)
