/**
 This file is part of the meta-id library.

 Copyright (C) 2017 JAAK MUSIC LTD

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

 If you have any questions please contact yo@jaak.io
 */

import { Identity } from './contracts/Identity.sol.js'
import { IdentityResolver } from './contracts/IdentityResolver.sol.js'

/**
 * Contract event subscriptions
 *
 * @see http://web3js.readthedocs.io/en/1.0/web3-eth-contract.html#contract-events
 *
 * @example metaId.events.Event([opts]).on('data', event => console.log(event))
 *
 * @type {Object}
 */
const events = {
  IdentityRegistered: opts => Identity.events.Registered(opts),
  IdentitySigned: opts => Identity.events.Signed(opts),
  IdentityUpdated: opts => IdentityResolver.events.ContentChanged(opts),
}

export default events
