/**
 This file is part of the meta-id library.

 Copyright (C) 2017 JAAK MUSIC LTD

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

 If you have any questions please contact yo@jaak.io
 */

import { IdentityResolver } from './contracts/IdentityResolver.sol.js'

/**
 * Creates a transaction object for the `IdentityResolver.content` method.
 * This can be used to resolve a META Identity.
 *
 * @example metaId.resolveIdentity(node)
 *
 * @param  {bytes32} node ENS namehash of Identity ENS node to resolve content from
 * @return {Promise}
 */
const resolveIdentity = node => IdentityResolver.methods.content(node)

export default resolveIdentity
